Package ru.bitel.bgbilling.common.service

# Interface PaymentServiceProvider

All Known Subinterfaces:
  `AGRService`, `AlfabankService`, `AssistService`, `BVComService`, `ChronoPayService`, `CloudPaymentsService`, `GazprombankService`, `ModulebankService`, `MonetaService`, `MTSBankService`, `PaykeeperService`, `PayMasterService`, `PayOnlineService`, `PSBService`, `QiwiService`, `RobokassaService`, `RuRuPayService`, `SberbankService`, `TinkoffService`, `UnitellerService`, `VepayService`, `WalletOneService`, `YoomoneyService`

public interface PaymentServiceProvider

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `autopaymentDeactivate(int contractId)`
  Деактивация автоплатежа.
  `default Autopayment`
  `autopaymentGet(int contractId)`
  Получение текущего автоплатежа, если подключен.
  `default void`
  `beginAutopaymentTransaction(int contractId, BigDecimal amount, jakarta.xml.ws.Holder<String> url, jakarta.xml.ws.Holder<String> mode, jakarta.xml.ws.Holder<MapHolder<String,String>> params, ContractAutopaymentMode autopaymentMode)`
  Начало проведения платежа для создания автоплатежа.
  `void`
  `beginTransaction(int contractId, BigDecimal amount, jakarta.xml.ws.Holder<String> url, jakarta.xml.ws.Holder<String> mode, jakarta.xml.ws.Holder<MapHolder<String,String>> params)`
  Начало проведения платежа.
  `void`
  `doManualAutopayment(int contractId, BigDecimal sum)`
  Ручной автоплатеж
  `void`
  `endTransaction(int contractId, BigDecimal amount, jakarta.xml.ws.Holder<String> url, jakarta.xml.ws.Holder<String> mode, jakarta.xml.ws.Holder<MapHolder<String,String>> params)`
  Нужно пока только для alfabank и sberbank, используется только contractId
  `Autopayment`
  `getAutopaymentCurrentMode(int contractId)`
  Возвращает текущий режим автоплатежа

- ## Method Details

  - ### beginTransaction

    void beginTransaction(int contractId, BigDecimal amount, jakarta.xml.ws.Holder<String> url, jakarta.xml.ws.Holder<String> mode, jakarta.xml.ws.Holder<MapHolder<String,String>> params) throws ru.bitel.bgbilling.common.BGException
    Начало проведения платежа.
    Parameters:
      `contractId` - ID договора
      `amount` - сумма платежа
      `url` - URL, на который нужно будет отправить запрос (с web-страницы абонента)
      `mode` - - режим, "redirect" - сделать редирект на указанный URL, "post" - отправить форму на указанный URL
      `params` - входящие параметры - ipAddress, phone (для платежной системы), исходящие - параметры формы, для которой нужно сделать post (если mode=="post").
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### beginAutopaymentTransaction

    default void beginAutopaymentTransaction(int contractId, BigDecimal amount, jakarta.xml.ws.Holder<String> url, jakarta.xml.ws.Holder<String> mode, jakarta.xml.ws.Holder<MapHolder<String,String>> params, ContractAutopaymentMode autopaymentMode) throws ru.bitel.bgbilling.common.BGException
    Начало проведения платежа для создания автоплатежа.
    Parameters:
      `contractId` - ID договора
      `amount` - сумма платежа
      `url` - URL, на который нужно будет отправить запрос (с web-страницы абонента)
      `mode` - - режим, "redirect" - сделать редирект на указанный URL, "post" - отправить форму на указанный URL
      `params` - входящие параметры - ipAddress, phone (для платежной системы), исходящие - параметры формы, для которой нужно сделать post (если mode=="post"). invalid input: '<'invalid input: '<'invalid input: '<'invalid input: '<'invalid input: '<'invalid input: '<'invalid input: '<' 10.2507
    Throws:
      `Exception`
      `UnsupportedOperationException` - =======
      `ru.bitel.bgbilling.common.BGException` - >>>>>>> 783b4b2 gazprombank: add id filter

  - ### endTransaction

    void endTransaction(int contractId, BigDecimal amount, jakarta.xml.ws.Holder<String> url, jakarta.xml.ws.Holder<String> mode, jakarta.xml.ws.Holder<MapHolder<String,String>> params) throws ru.bitel.bgbilling.common.BGException
    Нужно пока только для alfabank и sberbank, используется только contractId
    Parameters:
      `contractId` -
      `amount` -
      `url` -
      `mode` -
      `params` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### autopaymentGet

    default Autopayment autopaymentGet(int contractId) throws ru.bitel.bgbilling.common.BGException
    Получение текущего автоплатежа, если подключен.
    Parameters:
      `contractId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### autopaymentDeactivate

    default void autopaymentDeactivate(int contractId) throws ru.bitel.bgbilling.common.BGException
    Деактивация автоплатежа. В биллинге удаляется привязка, возможен также вызов в платежную систему.
    Parameters:
      `contractId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAutopaymentCurrentMode

    Autopayment getAutopaymentCurrentMode(int contractId) throws ru.bitel.bgbilling.common.BGException
    Возвращает текущий режим автоплатежа
    Parameters:
      `contractId` - код договора
    Returns:
      Объект с параметрами текущего режима автоплатежа или null
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doManualAutopayment

    void doManualAutopayment(int contractId, BigDecimal sum) throws ru.bitel.bgbilling.common.BGException
    Ручной автоплатеж
    Parameters:
      `contractId` -
      `sum` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`